import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import path from 'path'
import Components from 'unplugin-vue-components/vite';
import { VantResolver } from '@vant/auto-import-resolver';
import { VarletUIResolver } from 'unplugin-vue-components/resolvers'
import autoImport from 'unplugin-auto-import/vite'

// https://vitejs.dev/config/
export default defineConfig({
  server:{
    host:'0.0.0.0'
  },
  resolve: {
    alias: {
      '@': path.resolve(__dirname, './src')
    }
  },
  plugins: [vue(),Components({
    resolvers: [VantResolver()],
  }),Components({
    resolvers: [VarletUIResolver(),  autoImport({
      resolvers: [VarletUIResolver({ autoImport: true })]
    })],
  })],
})
